﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _808858
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            radListView1.SelectedItemChanged += radListView1_SelectedItemChanged;
        }

        void radListView1_SelectedItemChanged(object sender, EventArgs e)
        {
            radPanorama1.Items.Clear();
            radPanorama1.BringToFront();
            Random rand = new Random();

            for (int i = 0; i < rand.Next(10); i++)
            {
                RadTileElement el = new RadTileElement();
                el.Text = i.ToString();
                el.Click += el_Click;
                radPanorama1.Items.Add(el);
            }
        }

        void el_Click(object sender, EventArgs e)
        {
            RadTileElement el = sender as RadTileElement;

            if (Convert.ToInt16(el.Text) % 2 == 0)
            {
                RadButton button = new RadButton();
                button.Text = "hello";

                UserControl uc = new UserControl();
                uc.Dock = DockStyle.Fill;
                uc.Controls.Add(button);

                this.Controls.Add(uc);
                uc.BringToFront();
            }
            else
            {
                RadClock clock = new RadClock();

                UserControl uc = new UserControl();
                uc.Dock = DockStyle.Fill;
                uc.Controls.Add(clock);

                this.Controls.Add(uc);
                uc.BringToFront();
            }
        }
    }
}
